CREATE TABLE gtg_ts_absence (
    ETL_SEQUENCE_ID                 NUMBER(19, 0) ,
    ETL_VERSION_NUMBER              NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER           NUMBER(18, 0) ,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    ABSENCE_CASE_ID                 NUMBER(18, 0) ,
    ABSENCE_DATE                    DATE          ,
    ABSENCE_DATETIME                TIMESTAMP(6)  ,
    ABSENCE_END_DATETIME            TIMESTAMP(6)  ,
    ABSENCE_ENTRY_BASIC_FLAG        VARCHAR2(120) ,
    ABSENCE_PATTERN_CD              VARCHAR2(120) ,
    ABSENCE_STATUS_CD               VARCHAR2(120) ,
    ABSENCE_TYPE_ID                 NUMBER(18, 0) ,
    ABSENCE_TYPE_REASON_ID          NUMBER(18, 0) ,
    ANCPERABSENTRIES_CB             VARCHAR2(256) ,
    ANCPERABSENTRIES_CD             TIMESTAMP(6)  ,
    ANCPERABSENTRIES_LUB            VARCHAR2(256) ,
    ANCPERABSENTRIES_LUD            TIMESTAMP(6)  ,
    ANCPERABSENTRYDTLS_CB           VARCHAR2(256) ,
    ANCPERABSENTRYDTLS_CD           TIMESTAMP(6)  ,
    ANCPERABSENTRYDTLS_LUB          VARCHAR2(256) ,
    ANCPERABSENTRYDTLS_LUD          TIMESTAMP(6)  ,
    APPROVAL_STATUS_CD              VARCHAR2(120) ,
    ASSIGNMENT_ID                   NUMBER(18, 0) ,
    CERTIFICATION_AUTH_FLAG         VARCHAR2(120) ,
    CHILD_EVENT_TYPE_CD             VARCHAR2(120) ,
    COMMENTS                        VARCHAR2(4000),
    CONDITION_START_DATE            DATE          ,
    CONFIRMED_DATE                  DATE          ,
    DETENTID                        NUMBER(18, 0) ,
    DURATION                        NUMBER        ,
    END_DATE                        DATE          ,
    END_DATETIME                    TIMESTAMP(6)  ,
    END_DATE_DURATION               NUMBER        ,
    END_TIME                        VARCHAR2(120) ,
    ENTID                           NUMBER(18, 0) ,
    ESTABLISHMENT_DATE              DATE          ,
    INITIAL_TIMELY_NOTIFY_FLAG      VARCHAR2(120) ,
    LATE_NOTIFY_FLAG                VARCHAR2(120) ,
    LEGAL_ENTITY_ID                 NUMBER(18, 0) ,
    LEGISLATIVE_DATA_GROUP_ID       NUMBER(18, 0) ,
    NOTIFICATION_DATE               DATE          ,
    OPEN_ENDED_FLAG                 VARCHAR2(4)   ,
    PERIOD_OF_INCAP_TO_WORK_FLAG    VARCHAR2(120) ,
    PERSON_ID                       NUMBER(18, 0) ,
    PER_ABSENCE_ENTRY_ID            NUMBER(18, 0) ,
    PER_ABS_ENTRY_DTL_ID            NUMBER(18, 0) ,
    PLANNED_END_DATE                DATE          ,
    SINGLE_DAY_FLAG                 VARCHAR2(4)   ,
    SPL_CONDITION                   VARCHAR2(4000),
    START_DATE                      DATE          ,
    START_DATETIME                  TIMESTAMP(6)  ,
    START_DATE_DURATION             NUMBER        ,
    START_TIME                      VARCHAR2(120) ,
    SUBMITTED_DATE                  DATE          ,
    UOM                             VARCHAR2(120) ,
    ETL_SEQUENCE_ID                 NUMBER(19, 0) ,
    ETL_VERSION_NUMBER              NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER           NUMBER(18, 0) ,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    ABSENCE_CASE_ID                 NUMBER(18, 0) ,
    ABSENCE_DATE                    DATE          ,
    ABSENCE_DATETIME                TIMESTAMP(6)  ,
    ABSENCE_END_DATETIME            TIMESTAMP(6)  ,
    ABSENCE_ENTRY_BASIC_FLAG        VARCHAR2(120) ,
    ABSENCE_PATTERN_CD              VARCHAR2(120) ,
    ABSENCE_STATUS_CD               VARCHAR2(120) ,
    ABSENCE_TYPE_ID                 NUMBER(18, 0) ,
    ABSENCE_TYPE_REASON_ID          NUMBER(18, 0) ,
    ANCPERABSENTRIES_CB             VARCHAR2(256) ,
    ANCPERABSENTRIES_CD             TIMESTAMP(6)  ,
    ANCPERABSENTRIES_LUB            VARCHAR2(256) ,
    ANCPERABSENTRIES_LUD            TIMESTAMP(6)  ,
    ANCPERABSENTRYDTLS_CB           VARCHAR2(256) ,
    ANCPERABSENTRYDTLS_CD           TIMESTAMP(6)  ,
    ANCPERABSENTRYDTLS_LUB          VARCHAR2(256) ,
    ANCPERABSENTRYDTLS_LUD          TIMESTAMP(6)  ,
    APPROVAL_STATUS_CD              VARCHAR2(120) ,
    ASSIGNMENT_ID                   NUMBER(18, 0) ,
    CERTIFICATION_AUTH_FLAG         VARCHAR2(120) ,
    CHILD_EVENT_TYPE_CD             VARCHAR2(120) ,
    COMMENTS                        VARCHAR2(4000),
    CONDITION_START_DATE            DATE          ,
    CONFIRMED_DATE                  DATE          ,
    DETENTID                        NUMBER(18, 0) ,
    DURATION                        NUMBER        ,
    END_DATE                        DATE          ,
    END_DATETIME                    TIMESTAMP(6)  ,
    END_DATE_DURATION               NUMBER        ,
    END_TIME                        VARCHAR2(120) ,
    ENTID                           NUMBER(18, 0) ,
    ESTABLISHMENT_DATE              DATE          ,
    INITIAL_TIMELY_NOTIFY_FLAG      VARCHAR2(120) ,
    LATE_NOTIFY_FLAG                VARCHAR2(120) ,
    LEGAL_ENTITY_ID                 NUMBER(18, 0) ,
    LEGISLATIVE_DATA_GROUP_ID       NUMBER(18, 0) ,
    NOTIFICATION_DATE               DATE          ,
    OPEN_ENDED_FLAG                 VARCHAR2(4)   ,
    PERIOD_OF_INCAP_TO_WORK_FLAG    VARCHAR2(120) ,
    PERSON_ID                       NUMBER(18, 0) ,
    PER_ABSENCE_ENTRY_ID            NUMBER(18, 0) ,
    PER_ABS_ENTRY_DTL_ID            NUMBER(18, 0) ,
    PLANNED_END_DATE                DATE          ,
    SINGLE_DAY_FLAG                 VARCHAR2(4)   ,
    SPL_CONDITION                   VARCHAR2(4000),
    START_DATE                      DATE          ,
    START_DATETIME                  TIMESTAMP(6)  ,
    START_DATE_DURATION             NUMBER        ,
    START_TIME                      VARCHAR2(120) ,
    SUBMITTED_DATE                  DATE          ,
    UOM                             VARCHAR2(120) ,
    CONSTRAINT pk_gtg_ts_absence PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
